package org.processmining.pnanalysis.plugins;

import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.models.graphbased.directed.petrinet.Petrinet;
import org.processmining.pnanalysis.models.PetriNetMetrics;

@Plugin(name = "Show Petri-net Metrics", parameterLabels = { "Petri Net" }, returnLabels = { "Metrics" }, returnTypes = { PetriNetMetrics.class })
public class PetriNetMetricsPlugin {

	@UITopiaVariant(affiliation = UITopiaVariant.EHV, author = "H.M.W. Verbeek", email = "h.m.w.verbeek@tue.nl")
	@PluginVariant(variantLabel = "Show Petri-net Metrics, Default", requiredParameterLabels = { 0 })
	public PetriNetMetrics unpackDefault(PluginContext context, Petrinet net) {
		return new PetriNetMetrics(context, net);
	}
}
